package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag765;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT765Creator;

public class Tag31LCreator extends AbsTagCreate {
    private MT765Creator mt765Creator;

    public Tag31LCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt765Creator= (MT765Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag31LValue = mt765Creator.getDateOfDemand();
        mt765Creator.set("31L", tag31LValue);
    }
}
